# TdApi.MessagePosition (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessagePosition

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessagePosition

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessagePosition

Enclosing class:
  TdApi

public static final class TdApi.MessagePosition extends TdApi.Object
Contains information about a message in a specific position.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`date`
Point in time (Unix timestamp) when the message was sent.
`long`
`messageId`
Message identifier.
`int`
`position`
0-based message position in the full list of suitable messages.

## Constructor Summary

Constructors
Constructor
Description
`MessagePosition()`
Contains information about a message in a specific position.
`MessagePosition(int position, long messageId, int date)`
Contains information about a message in a specific position.
`MessagePosition(DataInput input)`
Contains information about a message in a specific position.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### position

public int position
0-based message position in the full list of suitable messages.

### messageId

public long messageId
Message identifier.

### date

public int date
Point in time (Unix timestamp) when the message was sent.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessagePosition

public MessagePosition()
Contains information about a message in a specific position.

### MessagePosition

public MessagePosition(int position, long messageId, int date)
Contains information about a message in a specific position.

Parameters:
  `position` - int 0-based message position in the full list of suitable messages.
  `messageId` - long Message identifier.
  `date` - int Point in time (Unix timestamp) when the message was sent.

### MessagePosition

public MessagePosition(DataInput input) throws IOException
Contains information about a message in a specific position.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`